| LicenseSpring .Net SDK 8.1.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.IFloatingClient Interface Reference

FloatingClient interface. More...

Inheritance diagram for LicenseSpring.IFloatingClient:

## Public Member Functions
void | AuthenticateUser (string username, string password)
| Authenticates the current Floating Server V2 user and caches the JWT token. WARNING: Works only on Floating server V2, and throws exceptions otherwise.
void | ClearLocalStorage ()
| See BaseManager.ClearLocalStorage.
ILicense | CurrentLicense ()
| See BaseManager.CurrentLicense.
LicenseID[] | GetAllLicenses ()
| Fetches all available licenses from the Floating server.
ILicense | GetLicenseInfo (LicenseID licenseID=null)
| Get license information for configured product.
IFloatingServerInfo | GetServerInfo ()
| Get Floating Server information (settings)
void | Initialize (Configuration configuration, ILicenseStorage storage=null)
| See BaseManager.Initialize.
bool | IsInitialized ()
| See BaseManager.IsInitialized.
bool | IsOnline (bool throwExceptions=false)
| Helper method, it checks connection to the Floating server.
string | LicenseFilePath ()
| See BaseManager.LicenseFilePath.
ILicense | Register (string id, LicenseID licenseID=null)
| Register client with given id.
ILicense | ReloadLicense ()
| See BaseManager.ReloadLicense.
bool | Unregister (string id, LicenseID licenseID=null)
| Unregister client with given id.

## Properties
string | DataLocation`[get, set]`
| See BaseManager.DataLocation.
string | LicenseFileName`[get, set]`
| See BaseManager.LicenseFileName.

## Detailed Description

FloatingClient interface.

## Member Function Documentation

## ◆ AuthenticateUser()

void LicenseSpring.IFloatingClient.AuthenticateUser | ( | string | username,
|  | string | password
| ) |  |

Authenticates the current Floating Server V2 user and caches the JWT token. WARNING: Works only on Floating server V2, and throws exceptions otherwise.

Parameters

  username | Username of the user who needs to authenticate to Floating Server V2
  password | Password of the user who needs to authenticate to Floating Server V2

Exceptions

  LicenseSpring.NetworkException | In case of network errors or server not available.
  LicenseSpring.LicenseServerException | In case of internal server error.
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong, please contact.
  System.Security.Authentication.InvalidCredentialException | In case of wrong credential

Implemented in LicenseSpring.FloatingClient.

## ◆ GetAllLicenses()

LicenseID[] LicenseSpring.IFloatingClient.GetAllLicenses | ( |  | ) |

Fetches all available licenses from the Floating server.

Warning: Works only on Floating server v2, throws exception otherwise.

Returns
  An array of LicenseID objects of all licenses activated on the Floating server, with the current product code.

Exceptions

  LicenseSpring.NetworkException | In case of network errors or server not available.
  LicenseSpring.LicenseServerException | In case of internal Floating server error.
  LicenseSpring.LicenseSpringException | If trying to fetch licenses on Floating server v1.
  System.Security.Authentication.InvalidCredentialException | In case of wrong credential
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.FloatingClient.

## ◆ GetLicenseInfo()

ILicense LicenseSpring.IFloatingClient.GetLicenseInfo | ( | LicenseID | licenseID = `null` | ) |

Get license information for configured product.

See https://docs.licensespring.com/docs/apiv4floatinglicense

Parameters

  licenseID | License id, optional, if not specified gets default configured license for the product.

Returns
  License object

Exceptions

  System.InvalidOperationException | Thrown when FloatingClient is not initialized
  LicenseSpring.ProductNotFoundException | In case product was not found on floating server
  LicenseSpring.LicenseNotFoundException | In case license was not found for configured product
  LicenseSpring.LicenseServerException | In case of internal Floating server error.
  LicenseSpring.NetworkException | In case of network errors or server not available.
  LicenseSpring.UnknownLicenseSpringException | If something went wrong or you use newer version of FloatingServer.

Implemented in LicenseSpring.FloatingClient.

## ◆ GetServerInfo()

IFloatingServerInfo LicenseSpring.IFloatingClient.GetServerInfo | ( |  | ) |

Get Floating Server information (settings)

The function is obsolete

Returns
  FloatingServerInfo object

Exceptions

  System.InvalidOperationException | Thrown when FloatingClient is not initialized
  LicenseSpring.LicenseServerException | In case of internal Floating server error
  LicenseSpring.NetworkException | In case of network errors

Implemented in LicenseSpring.FloatingClient.

## ◆ Initialize()

void LicenseSpring.IFloatingClient.Initialize | ( | Configuration | configuration,
|  | ILicenseStorage | storage = `null`
| ) |  |

See BaseManager.Initialize.

Implemented in LicenseSpring.FloatingClient.

## ◆ IsOnline()

bool LicenseSpring.IFloatingClient.IsOnline | ( | bool | throwExceptions = `false` | ) |

Helper method, it checks connection to the Floating server.

Parameters

  throwExceptions | Boolean value indicating whether this method should throw exceptions, by default it's false.

Returns
  True if SDK is able to connect to the Floating server and false otherwise.

Exceptions

  System.InvalidOperationException | Thrown when FloatingClient is not initialized
  LicenseSpring.NetworkException | In case of network errors or server not available.

Implemented in LicenseSpring.FloatingClient.

## ◆ Register()

ILicense LicenseSpring.IFloatingClient.Register | ( | string | id,
|  | LicenseID | licenseID = `null`
| ) |  |

Register client with given id.

Parameters

  id | User or instance id for license registration, it can be anything - email, host or domain name, handle, etc.
  licenseID | License identifier, optional, if not specified this method tries to register to default license for the product.

Returns
  License object if registration succeeded, throws exceptions in case of errors

Exceptions

  System.InvalidOperationException | Thrown when FloatingClient is not initialized
  LicenseSpring.MaxFloatingReachedException | In case there are no floating slots available
  LicenseSpring.ProductNotFoundException | In case product was not found on floating server
  LicenseSpring.LicenseNotFoundException | In case license was not found for configured product
  LicenseSpring.LicenseActivationException | In server returned empty response
  LicenseSpring.LicenseServerException | In case of internal Floating server error
  LicenseSpring.NetworkException | In case of network errors, e.g. no network connection or operation timed out.
  System.Security.Authentication.InvalidCredentialException | In case of wrong credential
  LicenseSpring.UnknownLicenseSpringException | If something went wrong or you use newer version of FloatingServer

Implemented in LicenseSpring.FloatingClient.

## ◆ Unregister()

bool LicenseSpring.IFloatingClient.Unregister | ( | string | id,
|  | LicenseID | licenseID = `null`
| ) |  |

Unregister client with given id.

Parameters

  id | User or instance id for license registration, it can be anything - email, host or domain name, handle, etc.
  licenseID | License id, optional, if not specified this method unegister from default configured license for the product.

Returns
  True if unregistered successfully

Exceptions

  System.InvalidOperationException | Thrown when FloatingClient is not initialized
  LicenseSpring.LicenseServerException | In case of internal Floating server error
  System.Security.Authentication.InvalidCredentialException | In case of wrong credential
  LicenseSpring.NetworkException | In case of network errors, e.g. no network connection or operation timed out.
  System.Security.Authentication.InvalidCredentialException | In case of wrong credential
  LicenseSpring.UnknownLicenseSpringException | In rare case if something went wrong.

Implemented in LicenseSpring.FloatingClient.

The documentation for this interface was generated from the following file:

- FloatingClient.cs